#!/bin/bash

# Use your health check url
HEALTHCHECK_URL="https://healthchecks.io/ping/{uuid}"
DB_BACKUP_LOCATION="/root/s3_backup/doggo.kaufen/sql"

curl --retry 3 "$HEALTHCHECK_URL/start" || exit 1

for i in `ls -t "$DB_BACKUP_LOCATION/doggo_kaufen-*.sql.gz" | tail -n +3`; do
    rm "$i" || exit 1
done

curl --retry 3 "$HEALTHCHECK_URL" || exit 1